|  | Home | Documentation | saml1__NameIdentifierType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__NameIdentifierType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifierType is a complexType with simpleContent. More...

`#include <saml1.h>`

## Public Attributes
char * | __item
| __item wraps "xs:string" simpleContent. More...
char * | NameQualifier
| Attribute "NameQualifier" of XSD type xs:string. More...
char * | Format
| Attribute "Format" of XSD type xs:anyURI. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifierType is a complexType with simpleContent.

struct saml1__NameIdentifierType operations:

- soap_default_saml1__NameIdentifierType(soap*, saml1__NameIdentifierType*) reset members to default
- int soap_read_saml1__NameIdentifierType(soap*, saml1__NameIdentifierType*) deserialize from a source
- int soap_write_saml1__NameIdentifierType(soap*, saml1__NameIdentifierType*) serialize to a sink
- saml1__NameIdentifierType* soap_dup_saml1__NameIdentifierType(soap*, saml1__NameIdentifierType* dst, saml1__NameIdentifierType <em>src) returns deep copy of saml1__NameIdentifierType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__NameIdentifierType(saml1__NameIdentifierType) deep deletes saml1__NameIdentifierType data members, use only on dst after soap_dup_saml1__NameIdentifierType(NULL, saml1__NameIdentifierType *dst, saml1__NameIdentifierType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* saml1__NameIdentifierType::__item

__item wraps "xs:string" simpleContent.

char* saml1__NameIdentifierType::Format

Attribute "Format" of XSD type xs:anyURI.

Optional attribute.

char* saml1__NameIdentifierType::NameQualifier

Attribute "NameQualifier" of XSD type xs:string.

Optional attribute.

The documentation for this struct was generated from the following file:

- saml1.h